"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const exchange_1 = require("./exchange");
class ExchangeClient extends exchange_1.Exchange {
    async accountInformation() {
        const res = await this.request(this.sign("info/account", "tapi", "POST"));
        if (res.success != 1) {
            throw res;
        }
        return res.return;
    }
    async tradingVolume() {
        const res = await this.request(this.sign("volume", "tapi", "POST"));
        if (res.success != 1) {
            throw res;
        }
        return res.return;
    }
    async tradingFees() {
        const res = await this.request(this.sign("fees", "tapi", "POST"));
        if (res.success != 1) {
            throw res;
        }
        return res.return;
    }
}
exports.ExchangeClient = ExchangeClient;
